Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.rule.model
Interface RulePackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RulePackageImpl

    public interface RulePackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Since:
  1.2
See Also:
  `RuleFactory`

Nested Class Summary
`static interface` | `RulePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `AND_CONDITION` The meta object id for the '`And Condition`' class.
`static int` | `AND_CONDITION__CONDITIONS` The feature id for the 'Conditions' containment reference list.
`static int` | `AND_CONDITION_FEATURE_COUNT` The number of structural features of the 'And Condition' class.
`static int` | `CONDITION` The meta object id for the '`Condition` ' class.
`static int` | `CONDITION_FEATURE_COUNT` The number of structural features of the 'Condition' class.
`static RulePackage` | `eINSTANCE` The singleton instance of the package.
`static int` | `ENABLE_RULE` The meta object id for the '`Enable Rule`' class.
`static int` | `ENABLE_RULE__CONDITION` The feature id for the 'Condition' containment reference.
`static int` | `ENABLE_RULE__DISABLE` The feature id for the 'Disable' attribute.
`static int` | `ENABLE_RULE_FEATURE_COUNT` The number of structural features of the 'Enable Rule' class.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `LEAF_CONDITION` The meta object id for the '`Leaf Condition`' class.
`static int` | `LEAF_CONDITION__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `LEAF_CONDITION__EXPECTED_VALUE` The feature id for the 'Expected Value' attribute.
`static int` | `LEAF_CONDITION__VALUE_DOMAIN_MODEL_REFERENCE` The feature id for the 'Value Domain Model Reference' containment reference.
`static int` | `LEAF_CONDITION_FEATURE_COUNT` The number of structural features of the 'Leaf Condition' class.
`static int` | `OR_CONDITION` The meta object id for the '`Or Condition`' class.
`static int` | `OR_CONDITION__CONDITIONS` The feature id for the 'Conditions' containment reference list.
`static int` | `OR_CONDITION_FEATURE_COUNT` The number of structural features of the 'Or Condition' class.
`static int` | `RULE` The meta object id for the '`Rule`' class.
`static int` | `RULE__CONDITION` The feature id for the 'Condition' containment reference.
`static int` | `RULE_FEATURE_COUNT` The number of structural features of the 'Rule' class.
`static int` | `SHOW_RULE` The meta object id for the '`Show Rule`' class.
`static int` | `SHOW_RULE__CONDITION` The feature id for the 'Condition' containment reference.
`static int` | `SHOW_RULE__HIDE` The feature id for the 'Hide' attribute.
`static int` | `SHOW_RULE_FEATURE_COUNT` The number of structural features of the 'Show Rule' class.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getAndCondition_Conditions()` Returns the meta object for the containment reference list ' `Conditions`'.
`org.eclipse.emf.ecore.EClass` | `getAndCondition()` Returns the meta object for class '`And Condition`'.
`org.eclipse.emf.ecore.EClass` | `getCondition()` Returns the meta object for class '`Condition`'.
`org.eclipse.emf.ecore.EAttribute` | `getEnableRule_Disable()` Returns the meta object for the attribute '`Disable`'.
`org.eclipse.emf.ecore.EClass` | `getEnableRule()` Returns the meta object for class '`Enable Rule`'.
`org.eclipse.emf.ecore.EReference` | `getLeafCondition_DomainModelReference()` Returns the meta object for the containment reference ' `Domain Model Reference`'.
`org.eclipse.emf.ecore.EAttribute` | `getLeafCondition_ExpectedValue()` Returns the meta object for the attribute ' `Expected Value`'.
`org.eclipse.emf.ecore.EReference` | `getLeafCondition_ValueDomainModelReference()` Returns the meta object for the containment reference ' `Value Domain Model Reference`'.
`org.eclipse.emf.ecore.EClass` | `getLeafCondition()` Returns the meta object for class '`Leaf Condition`'.
`org.eclipse.emf.ecore.EReference` | `getOrCondition_Conditions()` Returns the meta object for the containment reference list ' `Conditions`'.
`org.eclipse.emf.ecore.EClass` | `getOrCondition()` Returns the meta object for class '`Or Condition`'.
`org.eclipse.emf.ecore.EReference` | `getRule_Condition()` Returns the meta object for the containment reference ' `Condition`'.
`org.eclipse.emf.ecore.EClass` | `getRule()` Returns the meta object for class '`Rule`'.
`RuleFactory` | `getRuleFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getShowRule_Hide()` Returns the meta object for the attribute '`Hide`'.
`org.eclipse.emf.ecore.EClass` | `getShowRule()` Returns the meta object for class '`Show Rule`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final RulePackage eINSTANCE

  The singleton instance of the package.

### CONDITION

    static final int CONDITION

  The meta object id for the '`Condition` ' class.

  See Also:
    `ConditionImpl`, `RulePackageImpl.getCondition()`, Constant Field Values

### CONDITION_FEATURE_COUNT

    static final int CONDITION_FEATURE_COUNT

  The number of structural features of the 'Condition' class.

  See Also:
    Constant Field Values

### LEAF_CONDITION

    static final int LEAF_CONDITION

  The meta object id for the '`Leaf Condition`' class.

  See Also:
    `LeafConditionImpl`, `RulePackageImpl.getLeafCondition()`, Constant Field Values

### LEAF_CONDITION__EXPECTED_VALUE

    static final int LEAF_CONDITION__EXPECTED_VALUE

  The feature id for the 'Expected Value' attribute.

  See Also:
    Constant Field Values

### LEAF_CONDITION__DOMAIN_MODEL_REFERENCE

    static final int LEAF_CONDITION__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  See Also:
    Constant Field Values

### LEAF_CONDITION__VALUE_DOMAIN_MODEL_REFERENCE

    static final int LEAF_CONDITION__VALUE_DOMAIN_MODEL_REFERENCE

  The feature id for the 'Value Domain Model Reference' containment reference.

  Since:
    1.5
  See Also:
    Constant Field Values

### LEAF_CONDITION_FEATURE_COUNT

    static final int LEAF_CONDITION_FEATURE_COUNT

  The number of structural features of the 'Leaf Condition' class.

  See Also:
    Constant Field Values

### OR_CONDITION

    static final int OR_CONDITION

  The meta object id for the '`Or Condition`' class.

  See Also:
    `OrConditionImpl`, `RulePackageImpl.getOrCondition()`, Constant Field Values

### OR_CONDITION__CONDITIONS

    static final int OR_CONDITION__CONDITIONS

  The feature id for the 'Conditions' containment reference list.

  See Also:
    Constant Field Values

### OR_CONDITION_FEATURE_COUNT

    static final int OR_CONDITION_FEATURE_COUNT

  The number of structural features of the 'Or Condition' class.

  See Also:
    Constant Field Values

### AND_CONDITION

    static final int AND_CONDITION

  The meta object id for the '`And Condition`' class.

  See Also:
    `AndConditionImpl`, `RulePackageImpl.getAndCondition()`, Constant Field Values

### AND_CONDITION__CONDITIONS

    static final int AND_CONDITION__CONDITIONS

  The feature id for the 'Conditions' containment reference list.

  See Also:
    Constant Field Values

### AND_CONDITION_FEATURE_COUNT

    static final int AND_CONDITION_FEATURE_COUNT

  The number of structural features of the 'And Condition' class.

  See Also:
    Constant Field Values

### RULE

    static final int RULE

  The meta object id for the '`Rule`' class.

  See Also:
    `RuleImpl`, `RulePackageImpl.getRule()`, Constant Field Values

### RULE__CONDITION

    static final int RULE__CONDITION

  The feature id for the 'Condition' containment reference.

  See Also:
    Constant Field Values

### RULE_FEATURE_COUNT

    static final int RULE_FEATURE_COUNT

  The number of structural features of the 'Rule' class.

  See Also:
    Constant Field Values

### SHOW_RULE

    static final int SHOW_RULE

  The meta object id for the '`Show Rule`' class.

  See Also:
    `ShowRuleImpl`, `RulePackageImpl.getShowRule()`, Constant Field Values

### SHOW_RULE__CONDITION

    static final int SHOW_RULE__CONDITION

  The feature id for the 'Condition' containment reference.

  See Also:
    Constant Field Values

### SHOW_RULE__HIDE

    static final int SHOW_RULE__HIDE

  The feature id for the 'Hide' attribute.

  See Also:
    Constant Field Values

### SHOW_RULE_FEATURE_COUNT

    static final int SHOW_RULE_FEATURE_COUNT

  The number of structural features of the 'Show Rule' class.

  See Also:
    Constant Field Values

### ENABLE_RULE

    static final int ENABLE_RULE

  The meta object id for the '`Enable Rule`' class.

  See Also:
    `EnableRuleImpl`, `RulePackageImpl.getEnableRule()`, Constant Field Values

### ENABLE_RULE__CONDITION

    static final int ENABLE_RULE__CONDITION

  The feature id for the 'Condition' containment reference.

  See Also:
    Constant Field Values

### ENABLE_RULE__DISABLE

    static final int ENABLE_RULE__DISABLE

  The feature id for the 'Disable' attribute.

  See Also:
    Constant Field Values

### ENABLE_RULE_FEATURE_COUNT

    static final int ENABLE_RULE_FEATURE_COUNT

  The number of structural features of the 'Enable Rule' class.

  See Also:
    Constant Field Values

Method Detail

### getCondition

    org.eclipse.emf.ecore.EClass getCondition()

  Returns the meta object for class '`Condition`'.

  Returns:
    the meta object for class 'Condition'.
  See Also:
    `Condition`

### getLeafCondition

    org.eclipse.emf.ecore.EClass getLeafCondition()

  Returns the meta object for class '`Leaf Condition`'.

  Returns:
    the meta object for class 'Leaf Condition'.
  See Also:
    `LeafCondition`

### getLeafCondition_ExpectedValue

    org.eclipse.emf.ecore.EAttribute getLeafCondition_ExpectedValue()

  Returns the meta object for the attribute ' `Expected Value`'.

  Returns:
    the meta object for the attribute 'Expected Value'.
  See Also:
    `LeafCondition.getExpectedValue()`, `getLeafCondition()`

### getLeafCondition_DomainModelReference

    org.eclipse.emf.ecore.EReference getLeafCondition_DomainModelReference()

  Returns the meta object for the containment reference ' `Domain Model Reference`'.

  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  See Also:
    `LeafCondition.getDomainModelReference()`, `getLeafCondition()`

### getLeafCondition_ValueDomainModelReference

    org.eclipse.emf.ecore.EReference getLeafCondition_ValueDomainModelReference()

  Returns the meta object for the containment reference ' `Value Domain Model Reference`'.

  Returns:
    the meta object for the containment reference 'Value Domain Model Reference'.
  Since:
    1.5
  See Also:
    `LeafCondition.getValueDomainModelReference()`, `getLeafCondition()`

### getOrCondition

    org.eclipse.emf.ecore.EClass getOrCondition()

  Returns the meta object for class '`Or Condition`'.

  Returns:
    the meta object for class 'Or Condition'.
  See Also:
    `OrCondition`

### getOrCondition_Conditions

    org.eclipse.emf.ecore.EReference getOrCondition_Conditions()

  Returns the meta object for the containment reference list ' `Conditions`'.

  Returns:
    the meta object for the containment reference list 'Conditions'.
  See Also:
    `OrCondition.getConditions()`, `getOrCondition()`

### getAndCondition

    org.eclipse.emf.ecore.EClass getAndCondition()

  Returns the meta object for class '`And Condition`'.

  Returns:
    the meta object for class 'And Condition'.
  See Also:
    `AndCondition`

### getAndCondition_Conditions

    org.eclipse.emf.ecore.EReference getAndCondition_Conditions()

  Returns the meta object for the containment reference list ' `Conditions`'.

  Returns:
    the meta object for the containment reference list 'Conditions'.
  See Also:
    `AndCondition.getConditions()`, `getAndCondition()`

### getRule

    org.eclipse.emf.ecore.EClass getRule()

  Returns the meta object for class '`Rule`'.

  Returns:
    the meta object for class 'Rule'.
  See Also:
    `Rule`

### getRule_Condition

    org.eclipse.emf.ecore.EReference getRule_Condition()

  Returns the meta object for the containment reference ' `Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `Rule.getCondition()`, `getRule()`

### getShowRule

    org.eclipse.emf.ecore.EClass getShowRule()

  Returns the meta object for class '`Show Rule`'.

  Returns:
    the meta object for class 'Show Rule'.
  See Also:
    `ShowRule`

### getShowRule_Hide

    org.eclipse.emf.ecore.EAttribute getShowRule_Hide()

  Returns the meta object for the attribute '`Hide`'.

  Returns:
    the meta object for the attribute 'Hide'.
  See Also:
    `ShowRule.isHide()`, `getShowRule()`

### getEnableRule

    org.eclipse.emf.ecore.EClass getEnableRule()

  Returns the meta object for class '`Enable Rule`'.

  Returns:
    the meta object for class 'Enable Rule'.
  See Also:
    `EnableRule`

### getEnableRule_Disable

    org.eclipse.emf.ecore.EAttribute getEnableRule_Disable()

  Returns the meta object for the attribute '`Disable`'.

  Returns:
    the meta object for the attribute 'Disable'.
  See Also:
    `EnableRule.isDisable()`, `getEnableRule()`

### getRuleFactory

    RuleFactory getRuleFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.